Package ch.admin.suis.validator.rest.to

# Enum Class SignatureTO.ChangeLevel

java.lang.Object
java.lang.Enum<SignatureTO.ChangeLevel>
ch.admin.suis.validator.rest.to.SignatureTO.ChangeLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<SignatureTO.ChangeLevel>`, `Constable`

Enclosing class:
  SignatureTO

public static enum SignatureTO.ChangeLevel extends Enum<SignatureTO.ChangeLevel>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORBIDDEN`
  `IGNORABLE`
  `PERMITTED_ANNOTATE`
  `PERMITTED_BASIC`
  `PERMITTED_FILL`
  `PERMITTED_SIGN`
  `UNCHANGED`
  `UNDEFINED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SignatureTO.ChangeLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SignatureTO.ChangeLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORBIDDEN

    public static final SignatureTO.ChangeLevel FORBIDDEN

  - ### PERMITTED_ANNOTATE

    public static final SignatureTO.ChangeLevel PERMITTED_ANNOTATE

  - ### PERMITTED_FILL

    public static final SignatureTO.ChangeLevel PERMITTED_FILL

  - ### PERMITTED_SIGN

    public static final SignatureTO.ChangeLevel PERMITTED_SIGN

  - ### PERMITTED_BASIC

    public static final SignatureTO.ChangeLevel PERMITTED_BASIC

  - ### IGNORABLE

    public static final SignatureTO.ChangeLevel IGNORABLE

  - ### UNCHANGED

    public static final SignatureTO.ChangeLevel UNCHANGED

  - ### UNDEFINED

    public static final SignatureTO.ChangeLevel UNDEFINED

- ## Method Details

  - ### values

    public static SignatureTO.ChangeLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SignatureTO.ChangeLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null